%define		rel	6
Summary:	git-bridgesvn - a git-svn without altering the commit hashes
Name:		git-bridgesvn
Version:	0.1
Release:	0.20120109.%{rel}
License:	LGPL v2+
Group:		Development/Version Control
Source0:	%{name}.tar.gz
# Source0-md5:	51b90ae4f91de5077d2977214f06e7c5
URL:		https://github.com/boris-unterer/Git-SVN-Bridge/
BuildRequires:	git-core >= 2.7.1-3
Requires:	git-core
Requires:	perl-Encode
Requires:	perl-subversion
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gitcoredir	%(git --exec-path)

%description
git-bridgesvn supports a maintainer model, where one maintainer
revises the pushes and fetches to and from SVN, but the resultant git
repository can be shared with other git users.

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -Dp git-bridgesvn.perl $RPM_BUILD_ROOT%{gitcoredir}/git-bridgesvn

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{gitcoredir}/%{name}
%changelog
* Mon Dec 04 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/git-bridgesvn.git;a=log;h=master

* Mon Dec 04 2017 Elan Ruusamäe <glen@pld-linux.org> 28de5e4
- noarch again

* Sun Dec 03 2017 Jan Palus <atler@pld-linux.org> 3d82f03
- release 5 (by relup.sh)

* Sat Jul 01 2017 Jan Rękorajski <baggins@pld-linux.org> 9b18387
- drop the noarch, git dir is arch dependant
- rel 4

* Tue Feb 23 2016 Elan Ruusamäe <glen@delfi.ee> a3df3df
- rebuild noarch

* Tue Jan 10 2012 Paweł Sikora <pluto@pld-linux.org> 87398f4
- remove BA: noarch (this noarch perl script goes into arch-dependent git libdir), release 2.

* Mon Jan 09 2012 Paweł Sikora <pluto@pld-linux.org> e91ed4d
- better rpm group.

* Mon Jan 09 2012 Paweł Sikora <pluto@pld-linux.org> 427b749
- another git-svn wrapper without altering the commit hashes.
  much more usable in svn/git teams then classic one.

